Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class EntityClassNonPersonLivingSubject

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.EntityClassNonPersonLivingSubject

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class EntityClassNonPersonLivingSubject

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Entity Class Non Person Living Subject', and utility methods for working with them. specDomain: V11621 (C-0-D10882-V13922-V10884-V11621-cpt)

See Also:
  `CDAR2Package.getEntityClassNonPersonLivingSubject()`

Field Summary
`static int` | `ANM` The 'ANM' literal value.
`static EntityClassNonPersonLivingSubject` | `ANM_LITERAL` The 'ANM' literal object.
`static int` | `MIC` The 'MIC' literal value.
`static EntityClassNonPersonLivingSubject` | `MIC_LITERAL` The 'MIC' literal object.
`static int` | `NLIV` The 'NLIV' literal value.
`static EntityClassNonPersonLivingSubject` | `NLIV_LITERAL` The 'NLIV' literal object.
`static int` | `PLNT` The 'PLNT' literal value.
`static EntityClassNonPersonLivingSubject` | `PLNT_LITERAL` The 'PLNT' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Entity Class Non Person Living Subject' enumerators.

Method Summary
`static EntityClassNonPersonLivingSubject` | `get(int value)` Returns the 'Entity Class Non Person Living Subject' literal with the specified integer value.
`static EntityClassNonPersonLivingSubject` | `get(java.lang.String literal)` Returns the 'Entity Class Non Person Living Subject' literal with the specified literal value.
`static EntityClassNonPersonLivingSubject` | `getByName(java.lang.String name)` Returns the 'Entity Class Non Person Living Subject' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NLIV

    public static final int NLIV

  The 'NLIV' literal value.

  If the meaning of 'NLIV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NLIV_LITERAL`, Constant Field Values

### ANM

    public static final int ANM

  The 'ANM' literal value.

  If the meaning of 'ANM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ANM_LITERAL`, Constant Field Values

### MIC

    public static final int MIC

  The 'MIC' literal value.

  If the meaning of 'MIC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MIC_LITERAL`, Constant Field Values

### PLNT

    public static final int PLNT

  The 'PLNT' literal value.

  If the meaning of 'PLNT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PLNT_LITERAL`, Constant Field Values

### NLIV_LITERAL

    public static final EntityClassNonPersonLivingSubject NLIV_LITERAL

  The 'NLIV' literal object.

  See Also:
    `NLIV`

### ANM_LITERAL

    public static final EntityClassNonPersonLivingSubject ANM_LITERAL

  The 'ANM' literal object.

  See Also:
    `ANM`

### MIC_LITERAL

    public static final EntityClassNonPersonLivingSubject MIC_LITERAL

  The 'MIC' literal object.

  See Also:
    `MIC`

### PLNT_LITERAL

    public static final EntityClassNonPersonLivingSubject PLNT_LITERAL

  The 'PLNT' literal object.

  See Also:
    `PLNT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Entity Class Non Person Living Subject' enumerators.

Method Detail

### get

    public static EntityClassNonPersonLivingSubject get(java.lang.String literal)

  Returns the 'Entity Class Non Person Living Subject' literal with the specified literal value.

### getByName

    public static EntityClassNonPersonLivingSubject getByName(java.lang.String name)

  Returns the 'Entity Class Non Person Living Subject' literal with the specified name.

### get

    public static EntityClassNonPersonLivingSubject get(int value)

  Returns the 'Entity Class Non Person Living Subject' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD